package com.zfire.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum OrderOperationTypeEnum {
    ORDER_EXAMINE("ORDER_EXAMINE", "审核"),
    ORDER_REFUND("ORDER_REFUND", "退订"),
    INVOICE_REFUND("INVOICE_REFUND", "退货"),
    ORDER_DISPLACE("ORDER_DISPLACE", "置换");

    @JsonValue
    @EnumValue
    private String key;
    private String value;
}
